package com.example.heresdkandroidref.events;


import com.here.sdk.navigation.ManeuverProgress;
import com.here.sdk.navigation.RouteProgress;
import com.here.sdk.navigation.VisualNavigator;
import com.here.sdk.routing.Maneuver;

public class GetRouteProgressEvent {
    public RouteProgress routeProgress;
    public VisualNavigator visualNavigator;
    public ManeuverProgress currentManeuverProgress;
    public ManeuverProgress nextManeuverProgress;
    public GetRouteProgressEvent(RouteProgress routeProgress,VisualNavigator visualNavigator,ManeuverProgress currentManeuverProgress,ManeuverProgress nextManeuverProgress) {
        this.routeProgress = routeProgress;
        this.visualNavigator = visualNavigator;
        this.currentManeuverProgress = currentManeuverProgress;
        this.nextManeuverProgress = nextManeuverProgress;
    }

    public RouteProgress getRouteProgress() {
        return routeProgress;
    }

    public void setRouteProgress(RouteProgress routeProgress) {
        this.routeProgress = routeProgress;
    }

    public void setVisualNavigator(VisualNavigator visualNavigator) {
        this.visualNavigator = visualNavigator;
    }

    public VisualNavigator getVisualNavigator() {
        return visualNavigator;
    }

    public ManeuverProgress getCurrentManeuverProgress() {
        return currentManeuverProgress;
    }

    public ManeuverProgress getNextManeuverProgress() {
        return nextManeuverProgress;
    }

    public void setCurrentManeuverProgress(ManeuverProgress currentManeuverProgress) {
        this.currentManeuverProgress = currentManeuverProgress;
    }

    public void setNextManeuverProgress(ManeuverProgress nextManeuverProgress) {
        this.nextManeuverProgress = nextManeuverProgress;
    }
}