package com.example.heresdkandroidref.adapters;

import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.example.heresdkandroidref.activity.PreferencesActivity;
import com.example.heresdkandroidref.fragments.WalkPreferenceFragment;

public class PreferenceAdapter extends FragmentStateAdapter {
    PreferencesActivity fragment;
    public PreferenceAdapter(PreferencesActivity fragment) {
        super(fragment);
        this.fragment=fragment;
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        WalkPreferenceFragment fragment = new WalkPreferenceFragment();
        Bundle args = new Bundle();
        args.putInt("preferenceType", position);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public int getItemCount() {
        return fragment.isDeviceConnected()?4:2;
    }
}
