package com.example.heresdkandroidref.models;

import com.here.sdk.routing.Route;
import com.here.sdk.search.Place;

import java.util.List;

public class RecentPlace {
    String placeId;
    String placeTitle;
    String placeAddress;
    double placeLat;
    double placeLong;
    double placeAltitude;
    int placeDistanceInMeters;


    public RecentPlace(String placeId,String placeTitle, String placeAddress,double placeLat, double placeLong, double placeAltitude,int placeDistanceInMeters) {
        this.placeId=placeId;
        this.placeTitle=placeTitle;
        this.placeAddress=placeAddress;
        this.placeLat=placeLat;
        this.placeLong=placeLong;
        this.placeAltitude=placeAltitude;
        this.placeDistanceInMeters =  placeDistanceInMeters;

    }

    public String getPlaceId() {
        return placeId;
    }

    public String getPlaceTitle() {
        return placeTitle;
    }

    public double getPlaceLat() {
        return placeLat;
    }

    public String getPlaceAddress() {
        return placeAddress;
    }

    public double getPlaceLong() {
        return placeLong;
    }

    public void setPlaceAddress(String placeAddress) {
        this.placeAddress = placeAddress;
    }

    public void setPlaceId(String placeId) {
        this.placeId = placeId;
    }

    public void setPlaceLat(double placeLat) {
        this.placeLat = placeLat;
    }

    public double getPlaceAltitude() {
        return placeAltitude;
    }

    public void setPlaceAltitude(double placeAltitude) {
        this.placeAltitude = placeAltitude;
    }

    public int getPlaceDistanceInMeters() {
        return placeDistanceInMeters;
    }

    public void setPlaceDistanceInMeters(int placeDistanceInMeters) {
        this.placeDistanceInMeters = placeDistanceInMeters;
    }

    public void setPlaceLong(double placeLong) {
        this.placeLong = placeLong;
    }

    public void setPlaceTitle(String placeTitle) {
        this.placeTitle = placeTitle;
    }
}
