package com.example.heresdkandroidref.utils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class DataProvider {

    List<String> initialSearchQueries = new ArrayList<>();

    public List<String> getInitialSearchQueries() {
        return initialSearchQueries;
    }


    public  List<String> getSuggestionsForQuery(String query) {

        List<String> pickedSuggestions=  new ArrayList<>();
        if(query.isEmpty()) {
            pickedSuggestions.addAll(initialSearchQueries);
        } else {
            for (String it:initialSearchQueries
                 ) {
                if(it.toLowerCase().startsWith(query.toLowerCase())) {
                    pickedSuggestions.add(it);
                }
            }
        }

        return pickedSuggestions;
    }

    public void saveSearchQuery(String searchQuery) {
        initialSearchQueries.remove(searchQuery);
        initialSearchQueries.add(0,searchQuery);
    }
}
